Package org.drinkless.tdlib

# Class TdApi.GetLoginUrl

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.HttpUrl>
org.drinkless.tdlib.TdApi.GetLoginUrl

Enclosing class:
  `TdApi`

public static class TdApi.GetLoginUrl extends TdApi.Function<TdApi.HttpUrl>
Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl. Use the method getLoginUrlInfo to find whether a prior user confirmation is needed. If an error is returned, then the button must be handled as an ordinary URL button.

Returns `HttpUrl`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `allowWriteAccess`
  Pass true to allow the bot to send messages to the current user.
  `long`
  `buttonId`
  Button identifier.
  `long`
  `chatId`
  Chat identifier of the message with the button.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  Message identifier of the message with the button.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetLoginUrl()`
  Default constructor for a function, which returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl.
  `GetLoginUrl(long chatId, long messageId, long buttonId, boolean allowWriteAccess)`
  Creates a function, which returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier of the message with the button.

  - ### messageId

    public long messageId
    Message identifier of the message with the button.

  - ### buttonId

    public long buttonId
    Button identifier.

  - ### allowWriteAccess

    public boolean allowWriteAccess
    Pass true to allow the bot to send messages to the current user. Phone number access can't be requested using the button.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetLoginUrl

    public GetLoginUrl()
    Default constructor for a function, which returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl. Use the method getLoginUrlInfo to find whether a prior user confirmation is needed. If an error is returned, then the button must be handled as an ordinary URL button.

    Returns `HttpUrl`

  - ### GetLoginUrl

    public GetLoginUrl(long chatId, long messageId, long buttonId, boolean allowWriteAccess)
    Creates a function, which returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl. Use the method getLoginUrlInfo to find whether a prior user confirmation is needed. If an error is returned, then the button must be handled as an ordinary URL button.

    Returns `HttpUrl`

    Parameters:
      `chatId` - Chat identifier of the message with the button.
      `messageId` - Message identifier of the message with the button.
      `buttonId` - Button identifier.
      `allowWriteAccess` - Pass true to allow the bot to send messages to the current user. Phone number access can't be requested using the button.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.HttpUrl>`
    Returns:
      this.CONSTRUCTOR